Retrieves all the contacts
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "bbd9b119-9ac4-49ef-9db4-7b4cb023f900",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "8683c784-4b04-4519-b05c-66a73033e349",
"company_code": "sample string 5",
"company": {
"id": "57ae4d24-a6ad-4fef-9177-5060114bb191",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-07T10:02:46.9142254+00:00",
"sales_territory_id": "37f836b1-95a1-48e9-8c37-c2c7c77c446e",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "943d4a33-dfff-48fe-9061-33c5758f3194",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "62692e93-2011-460f-b81c-2f11a93bc9ae",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "bc7c428b-2362-4f80-bba2-0df83476c6e5",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e990c3b8-545a-4463-9417-86cc5a76cf27",
"db_currency_id": "cc6fe3c8-031f-4c92-b58d-c597f0792b54",
"db_language_id": "f99f6695-a026-4168-a195-7ddc6ce708a4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-07T10:02:46.9142254+00:00"
},
"modified_dateutc": "2026-11-07T10:02:46.9142254+00:00"
},
"marketing_segment_id": "282895ed-4eab-4910-929f-18bf811f674f",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "c34a1599-5246-4cb4-9b29-8fdd911092c1",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "e51bfabb-7618-4468-84e1-50b119340c4d",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "4caf167d-8060-4521-899b-668c18edbdbd",
"db_country_code": "sample string 28",
"feelist_id": "66164c78-efab-4bb3-aa09-483499ed0c6c",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "2d9d5e57-3668-4745-9227-599f9bb7014a",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "677c20a4-8b38-413e-bb41-d572fc71ce3c",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-07T10:02:46.9142254+00:00",
"db_currency_id": "9203d54f-2b52-4713-a009-179183434bc8",
"db_currency_code": "sample string 10"
},
"company_type_id": "1114178b-4166-4993-a117-9d27439eaab3",
"company_type_name": "sample string 32",
"company_type": {
"id": "c2283ab8-383e-4d55-a3f2-58dd06df14ae",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "ba3f26c9-909c-4e31-b30a-5a08b7b383a1",
"sales_organization_code": "sample string 5"
},
"db_language_id": "c5c289fd-f780-4797-b665-3ffbd7e4f92a",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "d6a63798-c44f-44e3-bc3c-9639c3d7f369",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "50f3651c-56a5-44eb-83ef-7cbd43db335d",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "d3da6a46-8e36-4747-867e-573030f44a1e",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-07T10:02:46.9142254+00:00"
},
"company_sector_id": "9cdb9fa1-b30e-4a1b-ac17-0453ebb494c7",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "f51d50fe-bad8-4462-9cdc-5d8d8b9777a2",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "cb16efb3-e321-4eec-82ae-78fcc29f2ea9",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "5c16ad97-fab4-4653-95e9-3542a0a7e2a3",
"account_manager_user_code": "sample string 56",
"company_status_id": "9fc11e25-1181-4be0-abb7-8d41bb1850a7",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-07T10:02:46.9271921+00:00",
"id2": 60
},
"db_language_id": "5b9df1c5-e66c-4ccb-9c2f-cf559dfeec25",
"db_language_code": "sample string 7",
"db_title_id": "42f18c94-4a7b-432a-96b5-d3d2c71751c4",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-07T10:02:46.9271921+00:00",
"create_date": "2026-11-07T10:02:46.9271921+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-07T10:02:46.9271921+00:00"
}